Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-gdgraph: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 29 Oct 2015 15:55:14 +0200

---
 main/perl-gdgraph/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 main/perl-gdgraph/APKBUILD
diff --git a/main/perl-gdgraph/APKBUILD b/main/perl-gdgraph/APKBUILD
new file mode 100644
index 0000000..7fdc751
--- /dev/null
+++ b/main/perl-gdgraph/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-gdgraph
+_pkgreal=GDGraph
+pkgver=1.49
+pkgrel=0
+pkgdesc="Produces charts with GD"
+url="http://search.cpan.org/dist/GDGraph/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-gdtextutil perl-gd"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RU/RUZ/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="8bb270a30fea27491302b39b701b3d4e  GDGraph-1.49.tar.gz"
+sha256sums="d26538c827e35c1d4b27f3c045b60f1ab6b45401c54a87e86103cd7c2374cff5  GDGraph-1.49.tar.gz"
+sha512sums="720cc51dda41963be087bb39418642f75dade1bbab54cd4d788c18c9328f3fbd6a5c0f73027bb0be64d44cd94b0c5f2d67c48d4b0c3c34736ac8f7bc8cba95ab  GDGraph-1.49.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 29 2015 - 15:55:14 GMT